#include <iostream>
#include <vector>
#include <algorithm>
using namespace std;

int a[1000000];
vector<int> b;

int main()
{
	int n, k;
	cin >> n >> k;

	for (int i = 0; i < n; i++)
	{
		cin >> a[i];
	}
	sort(a, a + n);

	int br_pojavljivanja = 1;
	int trenutni_broj = a[0];
	for (int i = 1; i < n; i++)
	{
		if (a[i] == trenutni_broj)
		{
			br_pojavljivanja++;
		}
		else
		{
			trenutni_broj = a[i];
			br_pojavljivanja = 1;
		}

		if (br_pojavljivanja == k)
			b.push_back(a[i]);
	}

	cout << b.size() << "\n";
	for (auto item : b)
	{
		cout << item << " ";
	}

	return 0;
}